LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
LineEndFormat.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::LineEndFormat
| These values are used to specify which line end format should be used in strings.

## Variables
const short | CARRIAGE_RETURN = 0
| specifies that line ends are to be represented by a carriage return character (`\r`) More...
const short | LINE_FEED = 1
| specifies that line ends are to be represented by a line feed character (`\n`) More...
const short | CARRIAGE_RETURN_LINE_FEED = 2
| specifies that line ends are to be represented by a line feed character (`\n`), followed by a carriage return character (`\r`). More...